.App {
  text-align: center;
}

.App-logo {
  height: 40vmin;
  pointer-events: none;
}

@media (prefers-reduced-motion: no-preference) {
  .App-logo {
    animation: App-logo-spin infinite 20s linear;
  }
}

.App-header {
  background-color: #282c34;
  min-height: 100vh;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  font-size: calc(10px + 2vmin);
  color: white;
}

.App-link {
  color: #61dafb;
}

@keyframes App-logo-spin {
  from {
    transform: rotate(0deg);
  }
  to {
    transform: rotate(360deg);
  }
}
.itemCard {
  /*vertical-align: top;*/
  width: 300px;
  min-height: 189px;
  /*background: #fff;*/
  /*height: 100%;*/
  /*display: inline-block;*/
  /*display: table-cell;*/
  border: 1px gray !important;
  margin-top: 20px;
  margin-right: 15px;
  margin-left: 15px;
  margin-bottom: 20px;
  border-radius: 5px;
  box-shadow: 0 2.5px 5px 0 rgba(0,0,0,0.2);
  background-color: white;
}

/*.itemCard:before {
   position: absolute;
   top: 0;
   bottom: 0;
   left: 0;
   box-shadow: 0 1px 3px 1px #aaaaaa;
   border-radius: 3px;
}*/

.itemCard:hover {
  box-shadow: 0 5px 10px 0 rgba(0,0,0,0.2);
}

.itemCardContainer {
  display: flex;
  flex-wrap: wrap;
  /*align-items: center;*/
  justify-content: center;
  /*width: 1000px !important;*/
  /*border: 1px solid black;*/
}

.noArrowInput::-webkit-inner-spin-button, 
.noArrowInput::-webkit-outer-spin-button { 
  -webkit-appearance: none; 
  margin: 0; 
}

.r1 {
  width: 100%;
  max-width: 100%;
  height: auto; 
  border-radius: 5px 5px 0 0;
  max-height: 200px;
  object-fit: cover;
}

.imgCar {
  width: 100%;
  max-width: 100%;
  height: auto; 
  max-height: 200px;
  object-fit: cover;
}

.imgProduct {
  width: 75%;
  max-height: 500px;
  object-fit: cover;
}

.imgProductsm {
  width: 80%;
  max-height: 250px;
  object-fit: cover;
}

.cardInfo {
  margin-left: 15px;
  margin-right: 15px;
  margin-top: 10px;
  margin-bottom: 15px
}

.itemsName {
  font-size: 13px;
  text-align: center;
  text-transform: uppercase;
  font-weight: bold;
  border-bottom: solid;
}

.itemName {
  font-size: 25px;
  text-align: center;
  text-transform: uppercase;
  font-weight: bold;
}

.itemBrand {
  font-size: 20px;
}

.itemsBrand {
  font-size: 15px;
  text-align: center;
  margin-bottom: 10px;
}



.soldItem {
 padding-left: 6px;
 font-size: 14px;
}

.cardButton {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
  align-items: flex-end;
  margin: 20px;
}

input[type='radio']{
  display: none;
}

.star {
  cursor:  pointer;
  transition:  color 200ms;
}

.colItems {
    display: flex;
    justify-content: center;
    align-items: center;
}

.toast {
  position: fixed;
  left: 50%;
  bottom: 50px;
  transform: translate(-50%, -50%);
  margin: 0 auto;
  font-size: 100%;
}

.toastText {
  color: white;
  background-color: #4caf50;
  align-items: center;
  border-radius: 5px;
  padding: 10px 20px;
}

.untoastText {
  color: white;
  background-color: #FF3333;
  align-items: center;
  border-radius: 5px;
  padding: 10px 20px;
}

.close:hover {
    color: #861a1a00;
}

.close {
  color: white;
}

.itemFont {
  font-size: 1rem;
  padding: 20px 0;
}

.inputgroup {
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: 3px;
  margin: 10px;
}

.inputgroup:focus {
  background: red;
}

.decbtn, .incbtn {
  user-select: none;
  outline: none;
}

.qtyinput {
  width: 4rem;
  padding: .35rem;
  font-size: 1rem;
  border: 0;
  border-top:  0 solid #dbdbdb;
  border-bottom:  0 solid #dbdbdb;
  text-align: center;
  font-weight: bold;
  box-shadow: rgba(0, 0, 0, 0.16) 0px 1px 4px;
}

.qtyinputprice {
  padding: .2rem;
  text-align: center;
  font-weight: bold;
  
}

.decbtn{
  padding: .35rem;
  width: 3rem;
  font-size: 1rem;
  background: #ffc107;
  border: 0 solid #dbdbdb;
  text-align: center;
  cursor: pointer;
  border-radius: 3px 0 0 3px;
  box-shadow: rgba(0, 0, 0, 0.16) 0px 1px 4px;
  transition: all 0.1s ease 0s;
  cursor: pointer;
  outline: none;

}

.incbtn{
  padding: .35rem;
  width: 3rem;
  font-size: 1rem;
  background: #ffc107;
  border: 0 solid #dbdbdb;
  text-align: center;
  cursor: pointer;
  border-radius: 0 3px 3px 0;
  box-shadow: rgba(0, 0, 0, 0.16) 0px 1px 4px;
  transition: all 0.1s ease 0s;
  cursor: pointer;
  outline: none;

}

.cartbtn{
  padding: .35rem 1rem;
  font-size: 1rem;
  background: #ffc107;
  border: 0 solid #dbdbdb;
  text-align: center;
  cursor: pointer;
  border-radius: 3px 3px 3px 3px;
  text-transform: uppercase;
  font-weight: bold;
  box-shadow: rgba(0, 0, 0, 0.16) 0px 1px 4px;
  transition: all 0.1s ease 0s;
  cursor: pointer;
  outline: none;
}

.inputgroupsm {
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: 3px;
  width: 100%;
  max-width: 5rem;
  border: 0 solid #dbdbdb;
}

.decbtnsm{
  padding: .15rem;
  width: 30%;
  font-size: 1.5rem;
  background: #ffffff;
  border: 0 solid #dbdbdb;
  text-align: center;
  cursor: pointer;
  outline: none;

}

.incbtnsm{
  padding: .15rem;
  width: 30%;
  font-size: 1.5rem;
  background: #ffffff;
  border: 0 solid #dbdbdb;
  text-align: center;
  cursor: pointer;
  outline: none;

}

.qtyinputsm {
  width: 100%;
  padding: .55rem;
  font-size: 1rem;
  border: 0;
  text-align: center;
  font-weight: bold;
  z-index: 5;

}


.cartbtn:hover {
  background-color: #e0a800;
  box-shadow: rgba(0, 0, 0, 0.24) 0px 3px 8px;
  color: #fff;
  transform: translateY(-3px);
}

.decbtn:hover {
  background-color: #e0a800;
  box-shadow: rgba(0, 0, 0, 0.24) 0px 3px 8px;
  color: #fff;
  transform: translateY(-3px);
}

.incbtn:hover{
  background-color: #e0a800;
  box-shadow: rgba(0, 0, 0, 0.24) 0px 3px 8px;
  color: #fff;
  transform: translateY(-3px);
}

input[type=number] {
  -moz-appearance: textfield;
}

input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

.parentbtn {
  text-align: center;
  align-items: center;
}

.childbtn1, .childbtn {
  display: inline-block;
  margin: 10px 10px;
}

.childbtn1 {
  border: 2px solid #fbfbfb;
  border-radius: 5px;
}

.descriptiondiv {
  margin: 50px 0;
  font-size: 1.2rem;
  text-align: justify;
}

.grpreviews {
  margin-bottom: 15px;
  border-top: 1px solid #DEDEDE;
}

.reviewer {
  font-size: 15px;
  margin-bottom: 10px;
  color: #555555;
}

.cartcard {
  box-shadow: rgba(0, 0, 0, 0.04) 0px 3px 5px;;
  height: 100%;
}

.itemcart {
    background-color: #fff;
    padding: 4vh 5vh;
    box-shadow: rgba(0, 0, 0, 0.16) 0px 1px 4px;
}


.summary {
    background-color: #ddd;
    padding: 4vh;
    color: rgb(65, 65, 65)
}

.delbtn:hover {
  color: #ffc107;
  cursor: pointer;
  transition: all 0.15s ease 0s;
}

.activeBtn {
  font-weight: bold;
  color: black;
  background-color: #ffffff;
  border: none;
  text-decoration: none;

}

.notActiveBtn {
  background-color: #ffffff;
  border: none;
  text-decoration: none;
}

.activeBtn:hover {
  color: black;
  background-color: #ffffff;
  cursor: pointer;
  border: none;
  text-decoration: none;
}

.notActiveBtn:hover {
  color: black;
  background-color: #ffffff;
  cursor: pointer;
  border: none;
  text-decoration: none;
}

.addReviewBtn {
  color: black;
  background-color: #ffffff;
  border: none;
  transition: all 0.1s ease 0s;
}
.addReviewBtn:hover {
  font-weight: bold;
  color: black;
  background-color: #ffffff;
  cursor: pointer;
  text-decoration: underline;
}

.footerContainer {
  overflow: hidden;
  margin-top: 250px;
  background: #262626;
  color: #627482 !important;
  margin-bottom: 0;
  padding-bottom: 0
}